@echo off
echo Import Aggregated daily MPE 
echo Sum 96 MPE events
echo Retrieved from ftp://ftp.itc.nl/pub/mpe/msg/
echo original ILWIS files not deleted
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget" ftp://ftp.itc.nl/pub/mpe/msg/summsgmpe_%shortfilename1%.zip


if not exist "%OutputDrive%\%OutputDir%\summsgmpe_%shortfilename1%.zip"  goto MESSAGE

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.itc.nl/pub/mpe/msg/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time

pause

GOTO END

:START
echo.
echo.
echo Retrieved rainfall data is resampled and exported to a PNG for display in Google Earth
echo After inspecting the rainfall in Google Earth close Google Earth to continue
echo.
echo. 

echo off
"%UtilDir%\7z" e summsgmpe_%shortfilename1%.zip fsummsgmpe%shortfilename1%.mp* 

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\fsummsgmpe%shortfilename1%.mpr %OutputDrive%\%OutputDir%\mpe_georef.grf 

copy %UtilDir%\mpegoogle.*

echo.
echo. 
echo Be patient while file is transformed for visualization in Google Earth

"%IlwDir%\ilwis.exe" -C  mpe%shortfilename1%_latlon:=MapResample(%OutputDrive%\%OutputDir%\fsummsgmpe%shortfilename1%,mpegoogle.grf,bicubic)


"%IlwDir%\ilwis.exe" -C mpe%shortfilename1%_latlon_red:=min(255,max(0,iff(mpe%shortfilename1%_latlon.mpr le 2,0+(64-0)*(mpe%shortfilename1%_latlon.mpr-0)/(2-0),iff(mpe%shortfilename1%_latlon.mpr le 5,64+(24-64)*(mpe%shortfilename1%_latlon.mpr-2)/(5-2),iff(mpe%shortfilename1%_latlon.mpr le 12,24+(255-24)*(mpe%shortfilename1%_latlon.mpr-5)/(12-5),iff(mpe%shortfilename1%_latlon.mpr le 20,255+(255-255)*(mpe%shortfilename1%_latlon.mpr-12)/(20-12), iff(mpe%shortfilename1%_latlon.mpr le 200,255+(255-255)*(mpe%shortfilename1%_latlon.mpr-20)/(200-20),150)))))))

"%IlwDir%\ilwis.exe" -C mpe%shortfilename1%_latlon_green:=min(255,max(0,iff(mpe%shortfilename1%_latlon.mpr le 2,0+(104-0)*(mpe%shortfilename1%_latlon.mpr-0)/(2-0),iff(mpe%shortfilename1%_latlon.mpr le 5,104+(204-104)*(mpe%shortfilename1%_latlon.mpr-2)/(5-2),iff(mpe%shortfilename1%_latlon.mpr le 12,204+(255-204)*(mpe%shortfilename1%_latlon.mpr-5)/(12-5),iff(mpe%shortfilename1%_latlon.mpr le 20,255+(136-255)*(mpe%shortfilename1%_latlon.mpr-12)/(20-12), iff(mpe%shortfilename1%_latlon.mpr le 200,136+(0-136)*(mpe%shortfilename1%_latlon.mpr-20)/(200-20),0)))))))

"%IlwDir%\ilwis.exe" -C mpe%shortfilename1%_latlon_blue:=min(255,max(0,iff(mpe%shortfilename1%_latlon.mpr le 2,255+(225-255)*(mpe%shortfilename1%_latlon.mpr-0)/(2-0),iff(mpe%shortfilename1%_latlon.mpr le 5,225+(224-225)*(mpe%shortfilename1%_latlon.mpr-2)/(5-2),iff(mpe%shortfilename1%_latlon.mpr le 12,224+(0-224)*(mpe%shortfilename1%_latlon.mpr-5)/(12-5),iff(mpe%shortfilename1%_latlon.mpr le 20,0+(0-0)*(mpe%shortfilename1%_latlon.mpr-12)/(20-12),iff(mpe%shortfilename1%_latlon.mpr le 200,0+(0-0)*(mpe%shortfilename1%_latlon.mpr-20)/(200-20),0)))))))

"%IlwDir%\ilwis.exe" -C mpe%shortfilename1%_latlon_alpha:=ifundef(mpe%shortfilename1%_latlon.mpr,0,255)


rem Create a MapList with the bands properly ordered so that it can be exported to PNG

"%IlwDir%\ilwis.exe" -C crmaplist mpe%shortfilename1%_latlon.mpl mpe%shortfilename1%_latlon_red.mpr mpe%shortfilename1%_latlon_green.mpr mpe%shortfilename1%_latlon_blue.mpr mpe%shortfilename1%_latlon_alpha.mpr



rem export to PNG

PATH=%IlwDir%\Extensions\ISOD-Toolbox\GDAL\bin
set GEOTIFF_CSV=%IlwDir%\Extensions\ISOD-Toolbox\GDAL\gdal_data
set GDAL_DATA=%IlwDir%\Extensions\ISOD-Toolbox\GDAL\gdal_data

"%gdalDir%\gdal_translate" -of PNG -ot Byte mpe%shortfilename1%_latlon.mpl mpe%shortfilename1%_latlon.png

rem generate KML file


echo ^<?xml version="1.0" encoding="UTF-8"?^> > mpe%shortfilename1%_latlon.kml
echo ^<kml xmlns="http://www.opengis.net/kml/2.2" xmlns:gx="http://www.google.com/kml/ext/2.2"^> >> mpe%shortfilename1%_latlon.kml
echo ^<Document^> >> mpe%shortfilename1%_latlon.kml

echo ^<name^>mpe%shortfilename1%_latlon^</name^> >> mpe%shortfilename1%_latlon.kml
echo ^<description^>Google raster overlay of image mpe%shortfilename1%_latlon.png^</description^>  >> mpe%shortfilename1%_latlon.kml
echo ^<GroundOverlay^> >> mpe%shortfilename1%_latlon.kml
echo ^<name^>Raster data^</name^> >> mpe%shortfilename1%_latlon.kml
echo ^<LatLonBox^> >> mpe%shortfilename1%_latlon.kml
echo ^<north^>60^</north^> >> mpe%shortfilename1%_latlon.kml
echo ^<south^>-60^</south^> >> mpe%shortfilename1%_latlon.kml
echo ^<east^>60^</east^> >> mpe%shortfilename1%_latlon.kml
echo ^<west^>-60^</west^> >> mpe%shortfilename1%_latlon.kml
echo ^</LatLonBox^> >> mpe%shortfilename1%_latlon.kml
echo ^<Icon^> >> mpe%shortfilename1%_latlon.kml
echo ^<href^>%OutputDrive%\%OutputDir%\mpe%shortfilename1%_latlon.png^</href^> >> mpe%shortfilename1%_latlon.kml
echo ^</Icon^> >> mpe%shortfilename1%_latlon.kml
echo ^</GroundOverlay^> >> mpe%shortfilename1%_latlon.kml

echo ^<ScreenOverlay^> >> mpe%shortfilename1%_latlon.kml
echo ^<name^>MPE Legend in mm/day^</name^> >> mpe%shortfilename1%_latlon.kml
echo ^<Icon^> ^<href^>%IlwDir%\Extensions\ISOD-Toolbox\util\leg_mpe2.png^</href^> >> mpe%shortfilename1%_latlon.kml
echo ^</Icon^> >> mpe%shortfilename1%_latlon.kml >> mpe%shortfilename1%_latlon.kml
echo ^<overlayXY x="0" y="0" xunits="fraction" yunits="fraction"/^> >> mpe%shortfilename1%_latlon.kml 
echo ^<screenXY x="25" y="95" xunits="pixels" yunits="pixels"/^> >> mpe%shortfilename1%_latlon.kml 
echo ^<rotationXY x="0.5" y="0.5" xunits="fraction" yunits="fraction"/^> >> mpe%shortfilename1%_latlon.kml 
echo ^<size x="0" y="0" xunits="pixels" yunits="pixels"/^> >> mpe%shortfilename1%_latlon.kml
echo ^</ScreenOverlay^> >> mpe%shortfilename1%_latlon.kml >> mpe%shortfilename1%_latlon.kml

echo ^<Placemark id="MPE"^> >> mpe%shortfilename1%_latlon.kml
echo ^<name^>Aggregated MPE Map (mm/day) for %shortfilename1% ^</name^> >> mpe%shortfilename1%_latlon.kml
echo ^<Snippet^>Aggregation period from 00:00 - 23:45 UTC ^</Snippet^> >> mpe%shortfilename1%_latlon.kml
echo ^<description^>^<![CDATA[ >> mpe%shortfilename1%_latlon.kml
echo ^<head^> >> mpe%shortfilename1%_latlon.kml
echo ^<style type="text/css"^> >> mpe%shortfilename1%_latlon.kml
echo #text {font-family:Verdana, Arial, Helvetica;} >> mpe%shortfilename1%_latlon.kml
echo ^</style^> >> mpe%shortfilename1%_latlon.kml
echo ^</head^> >> mpe%shortfilename1%_latlon.kml
echo ^<body^> >> mpe%shortfilename1%_latlon.kml
echo ^<div style="width:100%%;background-color:#406200;height:155px;margin-bottom:10px;"^> >> mpe%shortfilename1%_latlon.kml
echo ^<div style="float:left;"^> >> mpe%shortfilename1%_latlon.kml
echo ^<a href="http://www.itc.nl/Pub/WRS/WRS-GEONETCast" target="_blank"^>^<img src="http://www.utwente.nl/.system/dl/ic~AQGywQMApDbUAkg2CwB8X80CBwGBlgAAAAA6w_g" alt="MPE" title="MPE" style="float:left;margin:10px;" /^>^</a^> >> mpe%shortfilename1%_latlon.kml
echo ^</div^> >> mpe%shortfilename1%_latlon.kml
echo ^<div style="float:right;margin:5px;"^> >> mpe%shortfilename1%_latlon.kml
echo ^<span class="glyphicon glyphicon-globe" style="color:#fff"^>^</span^> ^<span style="color:#fff"^>FTP download address:^</span^> >> mpe%shortfilename1%_latlon.kml
echo ^<br /^>^<a href="ftp://ftp.itc.nl/pub/mpe/" target="_blank" style="color:#fff"^>^<abbr title="ftp.itc.nl/pub/mpe/"^>ftp://ftp.itc.nl/pub/mpe/^</abbr^>^</a^> >> mpe%shortfilename1%_latlon.kml
echo ^<br /^>^<span class="glyphicon glyphicon-envelope" style="color:#fff"^>^</span^> ^<span style="color:#fff"^>E-mail Address:^</span^> >> mpe%shortfilename1%_latlon.kml

echo ^<br /^>^<a href="mailto:b.h.p.maathuis@utwente.nl" style="color:#fff"^>b.h.p.maathuis@utwente.nl^</a^> >> mpe%shortfilename1%_latlon.kml
echo ^</div^> >> mpe%shortfilename1%_latlon.kml
echo ^</div^> >> mpe%shortfilename1%_latlon.kml
echo ^<h2^>Multi Sensor Precipitation Estimate (MPE)^</h2^> >> mpe%shortfilename1%_latlon.kml
echo ^<strong^>Produced at 15 minutes temporal interval by EUMETSAT and near real time available through GEONETCast^</strong^> >> mpe%shortfilename1%_latlon.kml
echo ^<p^>The Multi-Sensor Precipitation Estimate (MPE) product consists of the near-real-time rain rates in mm/hr for each Meteosat image in original pixel resolution. The algorithm is based on the combination of polar orbiter microwave measurements and images in the Meteosat IR channel by a so-called blending technique. The MPE is most suitable for convective precipitation. Applications and Users: Operational weather forecasting in areas with poor or no radar coverage, especially in Africa and Asia.^</p^> >> mpe%shortfilename1%_latlon.kml
echo ^<p^>Source http://navigator.eumetsat.int^</p^> >> mpe%shortfilename1%_latlon.kml

echo ^</div^> >> mpe%shortfilename1%_latlon.kml
echo ^<h2^>Data processing: ^</h2^> >> mpe%shortfilename1%_latlon.kml
echo ^<p^>At ITC these 15 minutes products are aggregated to obtain the 24 hour precipitation amount in mm/24hr(from 00:00 to 23:45 UTC). These files are compressed and subsequently transferred to a FTP site (ftp://ftp.itc.nl/pub/mpe/). The accumulated 24 hour precipitation map is retrieved, decompressed and transformed into a PNG format (with a transparent layer for the areas that have not received precipitation). A KML file is created and executed which invokes Google Earth to start and display the results. These applications assume that Google Earth is locally available.^</p^> >> mpe%shortfilename1%_latlon.kml
echo ^</div^> >> mpe%shortfilename1%_latlon.kml
echo ^</body^> >> mpe%shortfilename1%_latlon.kml
echo ^</html^> >> mpe%shortfilename1%_latlon.kml
echo ]]^>^</description^> >> mpe%shortfilename1%_latlon.kml
echo ^<gx:balloonVisibility^>1^</gx:balloonVisibility^> >> mpe%shortfilename1%_latlon.kml
echo ^<styleUrl^>#default^</styleUrl^> >> mpe%shortfilename1%_latlon.kml

echo ^</Placemark^> >> mpe%shortfilename1%_latlon.kml

echo ^</Document^> >> mpe%shortfilename1%_latlon.kml
echo ^</kml^> >> mpe%shortfilename1%_latlon.kml


rem start Google-Earth with the KML file
mpe%shortfilename1%_latlon.kml



rem cleanup unneeded temporary files
del mpe%shortfilename1%_latlon.mpl 
del mpe%shortfilename1%_latlon_alpha.mp* 
del mpe%shortfilename1%_latlon_blue.mp* 
del mpe%shortfilename1%_latlon_green.mp* 
del mpe%shortfilename1%_latlon_red.mp* 
del mpe%shortfilename1%_latlon.mp* 
del mpe%shortfilename1%_latlon.png.aux.xml 
del summsgmpe_%shortfilename1%.zip
del mpe%shortfilename1%_latlon.kml
del mpe%shortfilename1%_latlon.png
del mpegoogle.grf

:END
"%IlwDir%\ilwis.exe" -C closeall