@echo off 
echo TAMSAT RFE product 10 day rainfall in mm
echo From archive
echo File name convention rfe2011_03-dk3.nc
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set shortfilename3=%longfilename:~6,1%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo rfe%shortfilename1%_%shortfilename2%-dk%shortfilename3%
echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://tamsat.org.uk/public_data/%shortfilename1%/%shortfilename2%/rfe%shortfilename1%_%shortfilename2%-dk%shortfilename3%.nc

echo off
if not exist "%OutputDrive%\%OutputDir%\rfe%shortfilename1%_%shortfilename2%-dk%shortfilename3%.nc"  goto MESSAGE
echo The file(s) "rfe%shortfilename1%_%shortfilename2%-dk%shortfilename3%.nc" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://tamsat.org.uk/public_data/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


rename rfe%shortfilename1%_%shortfilename2%-dk%shortfilename3%.nc rfe%shortfilename1%%shortfilename2%%shortfilename3%.nc

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%.nc %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%a.mpr

copy "%utildir%\maps\rfeland_mask1.zip"

"%utildir%\7z" e rfeland_mask1.zip
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%a.mpr %Utildir%\rfe_nc
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%b:=ifundef(%OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%a,0)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%:=iff(%OutputDrive%\%OutputDir%\africaland_mask1=1 and %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%b=0,0,%OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%b.mpr)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%.mpr %utildir%\rfe_nc


del rfe%shortfilename1%%shortfilename2%%shortfilename3%.nc
del rfe%shortfilename1%%shortfilename2%%shortfilename3%a.mpr.aux.xml
del rfe%shortfilename1%%shortfilename2%%shortfilename3%a.mp*
del rfe%shortfilename1%%shortfilename2%%shortfilename3%b.mp*
del rfeland_mask1.*
del africaland_mask1.*


:END
"%IlwDir%\ilwis.exe" -C closeall
