@echo off

echo Extract Chirps Africa Daily Precipitation
echo Precipitation in mm/day

rem File name format chirps-v2.0.1981.01.1.tif
rem most dat is zipped but not all (like recent data)
rem routine processes both zipped and non-zipped data
rem input date format is e.g. 20151231

echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set shortfilename3=%longfilename:~6,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


======================================================================================================================
rem Starting routine

rem Day 0


echo your current working directory = %OutputDrive%\%OutputDir%
echo Processing day - 0 = %shortfilename1%%shortfilename2%%shortfilename3%
echo.
echo.

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%shortfilename1%/chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz"


echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.*"  goto MESSAGE
echo The file(s) "chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%%shortfilename3%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%shortfilename1%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz" goto START1

"%UtilDir%\7z.exe" e chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz

:START1

rename "chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif" chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif %OutputDrive%\%OutputDir%\chirpsA_%shortfilename1%%shortfilename2%%shortfilename3%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%shortfilename1%%shortfilename2%%shortfilename3%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%shortfilename1%%shortfilename2%%shortfilename3%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%shortfilename1%%shortfilename2%%shortfilename3%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%shortfilename1%%shortfilename2%%shortfilename3%.mp*"


rem========================================================================
rem Day-1


setlocal enableextensions enabledelayedexpansion

    call :getDate_1 D_1
    echo Processing D-1 = %D_1:~0,4%%D_1:~5,2%%D_1:~8,2% 


"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_1:~0,4%/chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.*"  goto MESSAGE_1
echo The file(s) "chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_1

:MESSAGE_1
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_1:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_1

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif.gz" goto START_11

"%UtilDir%\7z.exe" e chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif.gz

:START_11

rename "chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif" chirps_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_1:~0,4%.%D_1:~5,2%.%D_1:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%.mp*"



    GOTO RETRIEVE_DATE_2


:getDate_1 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%shortfilename1%/%shortfilename2%/%shortfilename3%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b

rem========================================================================
rem Day-2
:RETRIEVE_DATE_2


setlocal enableextensions enabledelayedexpansion

	call :getDate_2 D_2
        echo Processing D-2 = %D_2:~0,4%%D_2:~5,2%%D_2:~8,2%
        

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_2:~0,4%/chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.*"  goto MESSAGE_2
echo The file(s) "chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_2

:MESSAGE_2
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_2:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_2

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif.gz" goto START_21

"%UtilDir%\7z.exe" e chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif.gz

:START_21

rename "chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif" chirps_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_2:~0,4%.%D_2:~5,2%.%D_2:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%.mp*"


     GOTO RETRIEVE_DATE_3

:getDate_2 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_1%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b

rem========================================================================
rem Day-3
:RETRIEVE_DATE_3
setlocal enableextensions enabledelayedexpansion

	call :getDate_3 D_3
        echo Processing D-3 = %D_3:~0,4%%D_3:~5,2%%D_3:~8,2%

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_3:~0,4%/chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.*"  goto MESSAGE_3
echo The file(s) "chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_3

:MESSAGE_3
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_3:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_3

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif.gz" goto START_31

"%UtilDir%\7z.exe" e chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif.gz

:START_31

rename "chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif" chirps_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_3:~0,4%.%D_3:~5,2%.%D_3:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%.mp*"


        GOTO RETRIEVE_DATE_4


:getDate_3 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_2%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b

rem========================================================================
rem Day-4
:RETRIEVE_DATE_4
setlocal enableextensions enabledelayedexpansion

	call :getDate_4 D_4
        echo Processing D-4 = %D_4:~0,4%%D_4:~5,2%%D_4:~8,2% 

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_4:~0,4%/chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.*"  goto MESSAGE_4
echo The file(s) "chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_4

:MESSAGE_4
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_4:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_4

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif.gz" goto START_41

"%UtilDir%\7z.exe" e chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif.gz

:START_41

rename "chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif" chirps_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_4:~0,4%.%D_4:~5,2%.%D_4:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%.mp*"


        GOTO RETRIEVE_DATE_5


:getDate_4 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_3%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b

rem========================================================================
rem Day-5
:RETRIEVE_DATE_5


setlocal enableextensions enabledelayedexpansion

	call :getDate_5 D_5
        echo Processing D-5 = %D_5:~0,4%%D_5:~5,2%%D_5:~8,2% 


"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_5:~0,4%/chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.*"  goto MESSAGE_5
echo The file(s) "chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_5

:MESSAGE_5
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_5:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_5

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif.gz" goto START_51

"%UtilDir%\7z.exe" e chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif.gz

:START_51

rename "chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif" chirps_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_5:~0,4%.%D_5:~5,2%.%D_5:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%.mp*"


        GOTO RETRIEVE_DATE_6


:getDate_5 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_4%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b


rem========================================================================
rem Day-6
:RETRIEVE_DATE_6
setlocal enableextensions enabledelayedexpansion

	call :getDate_6 D_6
        echo Processing D-6 = %D_6:~0,4%%D_6:~5,2%%D_6:~8,2%

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_6:~0,4%/chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.*"  goto MESSAGE_6
echo The file(s) "chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_6

:MESSAGE_6
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_6:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_6

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif.gz" goto START_61

"%UtilDir%\7z.exe" e chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif.gz

:START_61

rename "chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif" chirps_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_6:~0,4%.%D_6:~5,2%.%D_6:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%.mp*"


        GOTO RETRIEVE_DATE_7


:getDate_6 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_5%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b


rem========================================================================
rem Day-7
:RETRIEVE_DATE_7
setlocal enableextensions enabledelayedexpansion

	call :getDate_7 D_7
        echo Processing D-7 = %D_7:~0,4%%D_7:~5,2%%D_7:~8,2% 


"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_7:~0,4%/chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.*"  goto MESSAGE_7
echo The file(s) "chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_7

:MESSAGE_7
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_7:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_7

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif.gz" goto START_71

"%UtilDir%\7z.exe" e chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif.gz

:START_71

rename "chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif" chirps_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_7:~0,4%.%D_7:~5,2%.%D_7:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%.mp*"


        GOTO RETRIEVE_DATE_8


:getDate_7 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_6%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b

rem========================================================================
rem Day-8
:RETRIEVE_DATE_8
setlocal enableextensions enabledelayedexpansion

	call :getDate_8 D_8
        echo Processing D-8 = %D_8:~0,4%%D_8:~5,2%%D_8:~8,2%

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_8:~0,4%/chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.*"  goto MESSAGE_8
echo The file(s) "chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_8

:MESSAGE_8
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_8:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_8

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif.gz" goto START_81

"%UtilDir%\7z.exe" e chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif.gz

:START_81

rename "chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif" chirps_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_8:~0,4%.%D_8:~5,2%.%D_8:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%.mp*"


        GOTO RETRIEVE_DATE_9


:getDate_8 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_7%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b


rem========================================================================
rem Day-9
:RETRIEVE_DATE_9
setlocal enableextensions enabledelayedexpansion

	call :getDate_9 D_9
        echo Processing D-9 = %D_9:~0,4%%D_9:~5,2%%D_9:~8,2% 


"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_9:~0,4%/chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif.gz"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.*"  goto MESSAGE_9
echo The file(s) "chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START_9

:MESSAGE_9
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/africa_daily/tifs/p05/%D_9:~0,4%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START_9

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif.gz" goto START_91

"%UtilDir%\7z.exe" e chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif.gz

:START_91

rename "chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif" chirps_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%.tif %OutputDrive%\%OutputDir%\chirpsA_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Africa_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsA_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%' ge 0,'%OutputDrive%\%OutputDir%\chirpsA_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%D_9:~0,4%.%D_9:~5,2%.%D_9:~8,2%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%.tif"
del "%OutputDrive%\%OutputDir%\chirpsA_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%.mp*"


    GOTO PROCESSING_10DAY
        


:getDate_9 returnVar
    setlocal enableextensions disabledelayedexpansion

    for /f "tokens=1-3 delims=/ " %%a in ("%D_8%") do set /a "y=%%a", "m=1%%b-100", "d=1%%c-100"
    if %d% gtr 1 ( set /a "d-=1" ) else (
        if %m% equ 1 ( set /a "y-=1" , "m=12" ) else ( set /a "m-=1" )
        set /a "d=30+((m+m/8) %% 2)"
        if %m% equ 3 set /a "d=d - 2 + (3 - y %% 4)/3 - (99 - y %% 100)/99 + (399 - y %% 400)/399"
    )
    set "d=0%d%" & set "m=0%m%"
    endlocal & set "%~1=%y%/%m:~-2%/%d:~-2%" & exit /b


rem========================================================================

:PROCESSING_10DAY

cls
echo Imported completed of 10 day CHIRPS time series
echo Further processing 10 day data set
echo.
Echo Calculating sum rainfall 10 day period from %shortfilename1%%shortfilename2%%shortfilename3% to %D_9:~0,4%%D_9:~5,2%%D_9:~8,2%
echo.

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirpsSum_Africa_%shortfilename1%%shortfilename2%%shortfilename3%_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%'.mpr{dom=value;vr=0:10000:0.01}:='%OutputDrive%\%OutputDir%\chirps_Africa_%shortfilename1%%shortfilename2%%shortfilename3%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%'+'%OutputDrive%\%OutputDir%\chirps_Africa_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%'



Echo Calculating days without rainfall from %shortfilename1%%shortfilename2%%shortfilename3%

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day0_NoRain'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%shortfilename1%%shortfilename2%%shortfilename3%' ge 0.25,0,10)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day1_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day0_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%' ge 0.25),1,day0_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day2_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day1_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%' ge 0.25),2,day1_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day3_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day2_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%' ge 0.25),3,day2_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day4_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day3_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%' ge 0.25),4,day3_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day5_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day4_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%' ge 0.25),5,day4_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day6_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day5_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%' ge 0.25),6,day5_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day7_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day6_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%' ge 0.25),7,day6_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day8_NoRain'.mpr:=iff(('%OutputDrive%\%OutputDir%\day7_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%' ge 0.25),8,day7_NoRain)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirpsDays_NoRain_%shortfilename1%%shortfilename2%%shortfilename3%_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%'.mpr{dom=value;vr=0:10:1}:=iff(('%OutputDrive%\%OutputDir%\day8_NoRain' eq 10)and('%OutputDrive%\%OutputDir%\chirps_Africa_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%' ge 0.25),9,day8_NoRain)


del "%OutputDrive%\%OutputDir%\day?_NoRain.mp*"

echo.
Echo Calculating days with more than 2 mm rainfall from %shortfilename1%%shortfilename2%%shortfilename3% to %D_9:~0,4%%D_9:~5,2%%D_9:~8,2%

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day0_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%shortfilename1%%shortfilename2%%shortfilename3%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day1_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_1:~0,4%%D_1:~5,2%%D_1:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day2_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_2:~0,4%%D_2:~5,2%%D_2:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day3_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_3:~0,4%%D_3:~5,2%%D_3:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day4_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_4:~0,4%%D_4:~5,2%%D_4:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day5_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_5:~0,4%%D_5:~5,2%%D_5:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day6_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_6:~0,4%%D_6:~5,2%%D_6:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day7_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_7:~0,4%%D_7:~5,2%%D_7:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day8_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_8:~0,4%%D_8:~5,2%%D_8:~8,2%' ge 2,1,0)
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\day9_p_more2mm'.mpr:=iff('%OutputDrive%\%OutputDir%\chirps_Africa_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%' ge 2,1,0)

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirpsDays_P_more2mm_%shortfilename1%%shortfilename2%%shortfilename3%_%D_9:~0,4%%D_9:~5,2%%D_9:~8,2%'.mpr:='%OutputDrive%\%OutputDir%\day0_p_more2mm'+'%OutputDrive%\%OutputDir%\day1_p_more2mm'+'%OutputDrive%\%OutputDir%\day2_p_more2mm'+'%OutputDrive%\%OutputDir%\day3_p_more2mm'+'%OutputDrive%\%OutputDir%\day4_p_more2mm'+'%OutputDrive%\%OutputDir%\day5_p_more2mm'+'%OutputDrive%\%OutputDir%\day6_p_more2mm'+'%OutputDrive%\%OutputDir%\day7_p_more2mm'+'%OutputDrive%\%OutputDir%\day8_p_more2mm'+'%OutputDrive%\%OutputDir%\day9_p_more2mm'

del "%OutputDrive%\%OutputDir%\day?_p_more2mm.mp*"


	exit /b

:END
"%IlwDir%\ilwis.exe" -C closeall