@echo on
echo Extract CMORPH week esitmates
echo The date in the file name represents the final day of the week long time period
echo Using 0Z as the starting and ending times
echo From 2000101
echo Precipitation
echo File name format cmorph_g_weekly_20110101.zip
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,8%

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/CMORPH/GIS/cmorph_g_weekly_%shortfilename1%.zip


echo off
if not exist "%OutputDrive%\%OutputDir%\cmorph_g_weekly_%shortfilename1%.zip"  goto MESSAGE
echo The file(s) "cmorph_g_weekly_%shortfilename1%.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/CMORPH/GIS
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z.exe" e cmorph_g_weekly_%shortfilename1%.zip cmorph.weekly.%shortfilename1%.tif

ren cmorph.weekly.%shortfilename1%.tif cmorph_w%shortfilename1%.tif

"%gdalDir%\gdal_translate" -of ilwis %OutputDrive%\%OutputDir%\cmorph_w%shortfilename1%.tif %OutputDrive%\%OutputDir%\cmorph_w%shortfilename1%.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cmorph_w%shortfilename1%.mpr %UtilDir%\cmorph_025d

del cmorph_g_weekly_%shortfilename1%.zip
del cmorph_w%shortfilename1%.tif
del cmorph_w%shortfilename1%.mpr.aux.xml
del cmorph_w%shortfilename1%.csy
del cmorph_w%shortfilename1%.grf

:END
"%IlwDir%\ilwis.exe" -C closeall