@echo off
echo Extract FEWS eMODIS historicalNDVI
echo From 2001 onwards
echo eMODIS 10-day maximum-value composite NDVI images at 250m spatial resolution 
echo Note periods (odd and even periods)
echo File name format west0101.zip or west1112.zip (west=west africa, 11=year and 12=month)
echo Time string entered for example 012001
echo.
echo.

rem shortfilename2 = year
rem shortfilename3 = month

set longfilename=%1
set shortfilename1=%longfilename:~2,4%
set shortfilename3=%longfilename:~0,2%
set shortfilename2=%longfilename:~4,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set gdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/eMODIS/west/west%shortfilename2%%shortfilename3%.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\west%shortfilename2%%shortfilename3%.zip"  goto MESSAGE
echo The file(s) "west%shortfilename2%%shortfilename3%.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/eMODIS/west/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e west%shortfilename2%%shortfilename3%.zip

IF EXIST %OutputDrive%\%OutputDir%\wa1%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa1%shortfilename2%.tif wa01%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa2%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa2%shortfilename2%.tif wa02%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa3%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa3%shortfilename2%.tif wa03%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa4%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa4%shortfilename2%.tif wa04%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa5%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa5%shortfilename2%.tif wa05%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa6%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa6%shortfilename2%.tif wa06%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa7%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa7%shortfilename2%.tif wa07%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa1%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa1%shortfilename2%.tif wa01%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa8%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa8%shortfilename2%.tif wa08%shortfilename2%.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\wa9%shortfilename2%.tif (
ren %OutputDrive%\%OutputDir%\wa9%shortfilename2%.tif wa09%shortfilename2%.tif
) 


copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_emodis_hndvi_import_loop.bat


for %%j in (wa*.tif) do cmd /c fews_emodis_hndvi_import_loop.bat %%j


del west%shortfilename2%%shortfilename3%.zip
del inputparam.bat
del fews_emodis_hndvi_import_loop.bat
del wa*.tfw
del wa*.tif

:END
"%IlwDir%\ilwis.exe" -C closeall