@echo off
echo Extract FEWS eMODIS NDVI
echo From 012010 - to 1 month before present
echo eMODIS short term mean anomaly at 250m spatial resolution
echo Note periods (odd and even periods)
echo File name format sa3711stm.zip (sa=south africa, 37=period 37 and 11=year)
echo Time string entered for example 012010
echo.
echo.

set longfilename=%1%
set shortfilename1=%longfilename:~2,4%
set period=%longfilename:~0,2%
set mnthtif=%period%
set deccounter=%mnthtif:~0,1%
rem if %deccounter% EQU 0 (set mnthtif=%mnthtif:~1,1%)


rem input year 4 digits
set shortfilename2=%longfilename:~2,4%

rem input input year 2 digits
set shortfilename3=%longfilename:~4,2%


set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/africa/emodis/sa%shortfilename3%%mnthtif%stm.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\sa%shortfilename3%%mnthtif%stm.zip"  goto MESSAGE
echo The file(s) "sa%shortfilename3%%mnthtif%stm.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/africa/emodis/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e sa%shortfilename3%%mnthtif%stm.zip

rem echo *sa%shortfilename3%%mnthtif%stm*    *emodis_ndvi%shortfilename2%%period%stm*

if exist sa%shortfilename3%%mnthtif%stm.tif ren sa%shortfilename3%%mnthtif%stm.tif emodis_ndvi%shortfilename2%%period%stm.tif

if exist sa%shortfilename3%%mnthtif%stmm.tif ren sa%shortfilename3%%mnthtif%stmm.tif emodis_ndvi%shortfilename2%%period%stm.tif

if exist sa%mnthtif:~1,1%%shortfilename3%stmm.tif ren sa%mnthtif:~1,1%%shortfilename3%stmm.tif emodis_ndvi%shortfilename2%%period%stm.tif

if exist sa%mnthtif:~1,1%%shortfilename3%stm.tif ren sa%mnthtif:~1,1%%shortfilename3%stm.tif emodis_ndvi%shortfilename2%%period%stm.tif


"%gdalDir%\gdal_translate" -of ilwis emodis_ndvi%shortfilename2%%period%stm.tif temodis_ndvi%shortfilename2%%period%stm.mpr
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\emodis_sa_ndvi%shortfilename2%%period%stm.mpr{dom=value;vr=-0.980:0.980:0.0001}:=(%OutputDrive%\%OutputDir%\temodis_ndvi%shortfilename2%%period%stm-100)/100
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\emodis_sa_ndvi%shortfilename2%%period%stm.mpr %UtilDir%\emodis_sa


if exist sa%mnthtif:~1,1%%shortfilename3%stm.tfw del sa%mnthtif:~1,1%%shortfilename3%stm.tfw
if exist sa%mnthtif:~1,1%%shortfilename3%stmm.tfw del sa%mnthtif:~1,1%%shortfilename3%stmm.tfw
if exist sa%shortfilename3%%mnthtif%stm.tfw del sa%shortfilename3%%mnthtif%stm.tfw
if exist sa%shortfilename3%%mnthtif%.tfw del sa%shortfilename3%%mnthtif%.tfw
del emodis_ndvi%shortfilename2%%period%stm.tif
del sa%shortfilename3%%mnthtif%stm.zip

del temodis_ndvi%shortfilename2%%period%stm.mp*
del temodis_ndvi%shortfilename2%%period%stm.grf

:END
"%IlwDir%\ilwis.exe" -C closeall