@echo off
echo Extract GWADI-Persiann global daily rainfall coverage in mm/3hr per month
echo File contains the 3 hr rainfall data per month  
echo File name format 2000_03_PERS3hr.tar (yyyy_mm_PERS3hr.tar)
echo Output is for a whole month using a looping routine
echo Data is retrieved from ftp://persiann.eng.uci.edu/pub/PERSIANN/tar_3hr/*.tar
echo Input time stamp required is yyyymm
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" ftp://persiann.eng.uci.edu/pub/PERSIANN/tar_3hr/%shortfilename1%_%shortfilename2%_PERS3hr.tar


echo off
if not exist "%OutputDrive%\%OutputDir%\%shortfilename1%_%shortfilename2%_PERS3hr.tar"  goto MESSAGE
echo The file(s) "%shortfilename1%_%shortfilename2%_PERS3hr.tar" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%
echo Data is retrieved from ftp://persiann.eng.uci.edu/pub/PERSIANN/tar_3hr/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set GdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat
 
"%UtilDir%\7z.exe" e %shortfilename1%_%shortfilename2%_PERS3hr.tar *.bin.gz
"%UtilDir%\7z.exe" e *.bin.gz

del "%OutputDrive%\%OutputDir%\*.bin.gz"


copy "%IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\gwadi_persiann_3hrimport_loop.bat"

for %%j in (m6s4_3h*.bin) do cmd /c gwadi_persiann_3hrimport_loop.bat %%j

del "%OutputDrive%\%OutputDir%\%shortfilename1%_%shortfilename2%_PERS3hr.tar"
del "%OutputDrive%\%OutputDir%\gwadi_persiann_3hrimport_loop.bat"
del "%OutputDrive%\%OutputDir%\inputparam.bat"

:END


"%IlwDir%\ilwis.exe" -C closeall