function CustomInputBox([string] $message1, [string] $output_box,[string] $message2, [string] $multi_box, [string] $message3, [string] $add_box, [string] $message4, [string] $sun_box) 
{
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing")
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms") 
 $userForm = New-Object System.Windows.Forms.Form
 $userForm.Text = "Landsat-8 Conversion to TOA Reflectance - corrected for sun angle"
 $userForm.Size = New-Object System.Drawing.Size(500,290)
 $userForm.StartPosition = "CenterScreen"
     $userForm.AutoSize = $False
     $userForm.MinimizeBox = $False
     $userForm.MaximizeBox = $False
     $userForm.SizeGripStyle= "Hide"
     $userForm.WindowState = "Normal"
     $userForm.FormBorderStyle="Fixed3D"
     
  $Script:retValues = New-Object System.Collections.ArrayList

 $OKButton = New-Object System.Windows.Forms.Button
 $OKButton.Location = New-Object System.Drawing.Size(320,205)
 $OKButton.Size = New-Object System.Drawing.Size(75,23)
 $OKButton.Text = "OK"
 $OKButton.Add_Click({
            $retValues.Add($objTextBox1.Text); 
            $retValues.Add($objTextBox2.Text);
            $retValues.Add($objTextBox3.Text);
            $retValues.Add($objTextBox4.Text);
            $userForm.Close();})
            $userForm.Controls.Add($OKButton)
 
 $CancelButton = New-Object System.Windows.Forms.Button
 $CancelButton.Location = New-Object System.Drawing.Size(400,205)
 $CancelButton.Size = New-Object System.Drawing.Size(75,23)
 $CancelButton.Text = "Cancel"
 $CancelButton.Add_Click({$userForm.Close()})
 $userForm.Controls.Add($CancelButton)
  
 $userLabel = New-Object System.Windows.Forms.Label
 $userLabel.Location = New-Object System.Drawing.Size(10,67)
 $userLabel.Size = New-Object System.Drawing.Size(130,15)
 $userLabel.Text = "$message1"
 $userForm.Controls.Add($userLabel) 
 
 
 $objTextBox1 = New-Object System.Windows.Forms.TextBox
 $objTextBox1.Location = New-Object System.Drawing.Size(155,60)
 $objTextBox1.Size = New-Object System.Drawing.Size(320,15)
 $objTextBox1.Text="$output_box"
 $userForm.Controls.Add($objTextBox1)
   
 $userLabel2 = New-Object System.Windows.Forms.Label
 $userLabel2.Location = New-Object System.Drawing.Size(10,97)
 $userLabel2.Size = New-Object System.Drawing.Size(250,15)
 $userLabel2.Text = "$message2"
 $userForm.Controls.Add($userLabel2) 
 
 $objTextBox2 = New-Object System.Windows.Forms.TextBox
 $objTextBox2.Location = New-Object System.Drawing.Size(415,95)
 $objTextBox2.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox2.Text="$multi_box"
 $userForm.Controls.Add($objTextBox2)
 
 $userLabel3 = New-Object System.Windows.Forms.Label
 $userLabel3.Location = New-Object System.Drawing.Size(10,133)
 $userLabel3.Size = New-Object System.Drawing.Size(250,15)
 $userLabel3.Text = "$message3"
 $userForm.Controls.Add($userLabel3) 
 
 $objTextBox3 = New-Object System.Windows.Forms.TextBox
 $objTextBox3.Location = New-Object System.Drawing.Size(415,130)
 $objTextBox3.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox3.Text="$add_box"
 $userForm.Controls.Add($objTextBox3)
 
  $userLabel4 = New-Object System.Windows.Forms.Label
 $userLabel4.Location = New-Object System.Drawing.Size(10,168)
 $userLabel4.Size = New-Object System.Drawing.Size(250,15)
 $userLabel4.Text = "$message4"
 $userForm.Controls.Add($userLabel4) 
 
 $objTextBox4 = New-Object System.Windows.Forms.TextBox
 $objTextBox4.Location = New-Object System.Drawing.Size(415,165)
 $objTextBox4.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox4.Text="$sun_box"
 $userForm.Controls.Add($objTextBox4)
   
     $userForm.Topmost = $True
     $userForm.Opacity = 1.0
     $userForm.ShowIcon = $False
     $userForm.Add_Shown({$userForm.Activate()})
 [void] $userForm.ShowDialog()
  return $Script:retValues
  

}

$retValues = CustomInputBox "Specify output file name:" "" "Specify Reflectance_Multi_band_x (Mp):" "" "Specify Reflectence_Add_band_x (Ap):" "" "Specify Sun Elevation (for scene centre only!):" ""


if ( $retValues -ne $null ) 

{
echo "set output_file=$($retValues[0])"  | out-file 'st_Ref.bat' -append -Encoding ASCII
echo "set multi_value=$($retValues[1])" | out-file 'st_Ref.bat' -append -Encoding ASCII
echo "set add_value=$($retValues[2])" | out-file 'st_Ref.bat' -append -Encoding ASCII
echo "set sun_value=$($retValues[3])" | out-file 'st_Ref.bat' -append -Encoding ASCII
}

else
{
 echo "set EndScript=100001" | out-file 'st_Refno.txt' -Encoding ASCII
}
